%define major		7
%define libname		%mklibname lo %{major}
%define develname	%mklibname lo -d

Summary:	Open Sound Control protocol
Name:		liblo
Version:	0.31
Release:	%mkrel 2
License:	LGPLv2+
Group:		Sound/Utilities
URL:		http://liblo.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen

%description
LibLO is an implementation of the Open Sound Control protocol for POSIX
systems, started by Steve Harris.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static
# do not use ipv6 atm since it causes slowness when calling dssi objects
#	--enable-ipv6

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS NEWS ChangeLog README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 0.31-2.mga9
+ Revision: 1798677
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- fix license

* Mon Dec 21 2020 daviddavid <daviddavid> 0.31-1.mga8
+ Revision: 1662432
- new version: 0.31

* Thu Feb 13 2020 umeabot <umeabot> 0.29-3.mga8
+ Revision: 1514226
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.29-2.mga7
+ Revision: 1298965
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 0.29-1.mga7
+ Revision: 1216180
- Update to version 0.29

* Mon Feb 08 2016 umeabot <umeabot> 0.28-4.mga6
+ Revision: 942955
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.28-3.mga5
+ Revision: 748948
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.28-2.mga5
+ Revision: 681577
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 0.28-1.mga5
+ Revision: 591807
- new version 0.28

* Fri Oct 18 2013 umeabot <umeabot> 0.26-8.mga4
+ Revision: 507121
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.26-7.mga3
+ Revision: 357665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.26-6.mga3
+ Revision: 323401
- clean spec
- fix rpm group

* Tue Jan 18 2011 tmb <tmb> 0.26-5.mga1
+ Revision: 23066
- imported package liblo


* Tue Jan 18 2011 Thomas Backlund <tmb@mageia.org> 0.26-5.mga1
- Initial Mageia import
- drop support for old mandriva releases

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.26-4mdv2011.0
+ Revision: 602568
- rebuild

* Sat May 15 2010 Frank Kober <emuse@mandriva.org> 0.26-3mdv2010.1
+ Revision: 544850
- do not use --enable-ipv6 configure option causing slowness
  when no ipv6 address is setup in /etc/hosts

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.26-2mdv2010.1
+ Revision: 520878
- rebuilt for 2010.1

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.26-1mdv2010.0
+ Revision: 383273
- update to new version 0.26
- major has changed from 0 to 7 (?)
- enable ipv6 support
- spec file clean

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 0.25-1mdv2009.0
+ Revision: 271455
- New version 0.25

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.24-4mdv2009.0
+ Revision: 222921
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.24-3mdv2008.1
+ Revision: 178963
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.24-1mdv2008.0
+ Revision: 55104
- rebuild for 2008
- new devel policy
- new release 0.24
- Import liblo



* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.23-1mdv2007.0
- 0.23
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.18pp-2mdk
- Rebuild

* Sat Jul 2 2005 Austin Acton <austin@mandriva.org> 0.18pp-1mdk
- 0.18
- patches (pp) from http://freebob.sourceforge.net/

* Sun Aug 8 2004 Austin Acton <austin@mandrake.org> 0.8-1mdk
- initial package
